Printago API
POST /v1/profiles

Create a new profile

Requires: profile.create

Request Body

- Profile data

ProfileInsert
compatibilityListrequired
string
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequired
string
inheritsrequired
string
integrationIdrequired
string
integrationTyperequired
any
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
any
typerequired
any

Example Request

application/json
{
  "name": "string",
  "data": {},
  "inherits": "string",
  "compatibilityList": "string",
  "metadata": {}
}

Response Schema

Profile
compatibilityListrequired
string
createdAtrequired
string
format: date-time
datarequired
Record<string, any>
Construct a type with a set of properties K of type T
externalIdrequired
string
idrequired
string
pattern: ^[a-z0-9]{24}$
inheritsrequired
string
integrationIdrequired
string
integrationTyperequired
any
metadatarequired
Record<string, any>
Construct a type with a set of properties K of type T
namerequired
string
sourcerequired
any
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
typerequired
any
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
{
  "id": "string",
  "name": "string",
  "inherits": "string",
  "compatibilityList": "string",
  "data": {},
  "metadata": {},
  "storeId": "string",
  "updatedAt": "2026-08-24T03:58:56.032Z",
  "createdAt": "2026-08-24T03:58:56.032Z"
}